import { combineReducers } from "redux";

// Immer
import { enableMapSet } from "immer";
enableMapSet();

import movies from "./movies";
import movie from "./movie";
import shows from "./shows";
import show from "./show";
import user from "./users";
import alerts from "./alerts";
import torrents from "./torrents";
import admin from "./admins";
import polochon from "./polochon";
import notifications from "./notifications";

export default combineReducers({
  movies,
  movie,
  shows,
  show,
  user,
  alerts,
  torrents,
  admin,
  polochon,
  notifications,
});
